Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046324
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-04-22 14:022021-05-17 19:15
ReporterjmelinView Statuspublic 
Assigned TojavierRodriguez 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046324: JIRA 1737 - 'null' value in POS promotion window

DescriptionIf the manual promotion don't have a predefined amount or percentage (must be set on the POS) then 'null' value is printed
Steps To Reproduce1. Create a promotion with a no predefined discount (ex: "User Defined Percentage" and leave "Percentage discount" empty)
2. Connect to POS and refresh master data
3. Create an order and select the promotion you created => display 'null' is the window
TagsTakeaway
Attached Filespng file icon null_value.PNG [^] (61,836 bytes) 2021-04-22 14:02

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046413TAP resolvedjavierRodriguez JIRA 1737 - 'null' value in POS promotion window 

-  Notes
(0128045)
hgbot (developer)
2021-05-12 16:52

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/498 [^]
(0128048)
hgbot (developer)
2021-05-12 19:13

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/452 [^]
(0128268)
hgbot (developer)
2021-05-17 19:14

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: a1be804b86670c836c751deef218a8e631396763
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-17T16:08:52+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/a1be804b86670c836c751deef218a8e631396763 [^]

Related ISSUE-46324: need some improvements in BaseFormInput, MultiButtonBar and VirtualNumericInput

---
M web-jspack/org.openbravo.core2/src/components/BaseFormInput/BaseFormInput.jsx
M web-jspack/org.openbravo.core2/src/components/MultiButtonStandardDialog/MultiButtonBar.jsx
M web-jspack/org.openbravo.core2/src/components/VirtualNumericInput/VirtualNumericInput.jsx
---
(0128269)
hgbot (developer)
2021-05-17 19:14

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/498 [^]
(0128270)
hgbot (developer)
2021-05-17 19:15

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 8d19dea6d4988180c2109e03994c9385d1e71984
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-17T15:45:37+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/8d19dea6d4988180c2109e03994c9385d1e71984 [^]

Fixed ISSUE-46324: Handle null discount value in manual discounts and order discounts flows

---
A web-jspack/org.openbravo.pos2/src/model/ticket/__test__/DiscountActionPreparation.test.js
A web-jspack/org.openbravo.pos2/src/model/ticket/actions/DiscountActionPreparation.js
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountAmountCell/DiscountAmountCell.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountInputAmountCell/DiscountInputAmountCell.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountAmountCell/OrderDiscountAmountCell.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountAmountCell/__test__/OrderDiscountAmountCell.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountInputAmountCell/OrderDiscountInputAmountCell.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountInputAmountCell/__test__/OrderDiscountInputAmountCell.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountInputAmountCell/__test__/__mock__/discountMock.js
M web-jspack/org.openbravo.pos2/src/model/ticket/TicketExtension.js
---
(0128271)
hgbot (developer)
2021-05-17 19:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/452 [^]
(0128272)
hgbot (developer)
2021-05-17 19:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: ddf4c5d03c845370601969d8a4b806aeeac9d301
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-17T15:45:37+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/ddf4c5d03c845370601969d8a4b806aeeac9d301 [^]

Related to ISSUE-46324: Add message and refactor isEmptyValue function in DiscountActionPreparation

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web-jspack/org.openbravo.pos2/src/model/ticket/actions/DiscountActionPreparation.js
---
(0128273)
hgbot (developer)
2021-05-17 19:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: df4ff1cb4f350795e4b938119079abf7751481a7
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-17T15:45:37+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/df4ff1cb4f350795e4b938119079abf7751481a7 [^]

Related to ISSUE-46324: fix empty value function

---
M web-jspack/org.openbravo.pos2/src/model/ticket/actions/DiscountActionPreparation.js
---
(0128274)
hgbot (developer)
2021-05-17 19:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 0c258df960b4caa569e27e4f787cd77a4570f3de
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-17T15:45:37+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/0c258df960b4caa569e27e4f787cd77a4570f3de [^]

Related to ISSUE-46324: Change how to show when the discount has not a default value in grid row

---
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountAmountCell/DiscountAmountCell.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountAmountCell/OrderDiscountAmountCell.jsx
---
(0128275)
hgbot (developer)
2021-05-17 19:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 3e80f414054ec883c4b096ad93e125eb2862f7e9
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-17T15:45:37+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/3e80f414054ec883c4b096ad93e125eb2862f7e9 [^]

Related to ISSUE-46324: Fix some tests

---
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountAmountCell/__test__/OrderDiscountAmountCell.test.jsx
---

- Issue History
Date Modified Username Field Change
2021-04-22 14:02 jmelin New Issue
2021-04-22 14:02 jmelin Assigned To => Retail
2021-04-22 14:02 jmelin File Added: null_value.PNG
2021-04-22 14:02 jmelin Triggers an Emergency Pack => No
2021-04-22 14:02 jmelin Tag Attached: Takeaway
2021-04-23 13:30 javierRodriguez Assigned To Retail => javierRodriguez
2021-04-29 10:31 guilleaer Status new => scheduled
2021-05-12 16:52 hgbot Note Added: 0128045
2021-05-12 19:13 hgbot Note Added: 0128048
2021-05-17 19:14 hgbot Note Added: 0128268
2021-05-17 19:14 hgbot Note Added: 0128269
2021-05-17 19:15 hgbot Resolution open => fixed
2021-05-17 19:15 hgbot Status scheduled => closed
2021-05-17 19:15 hgbot Note Added: 0128270
2021-05-17 19:15 hgbot Note Added: 0128271
2021-05-17 19:15 hgbot Note Added: 0128272
2021-05-17 19:15 hgbot Note Added: 0128273
2021-05-17 19:15 hgbot Note Added: 0128274
2021-05-17 19:15 hgbot Note Added: 0128275


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker